Bug 62804 - debugging threads don't work with new glibc
Summary: debugging threads don't work with new glibc
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 61590
TreeView+ depends on / blocked
 
Reported: 2002-04-05 19:13 UTC by Alexander Larsson
Modified: 2016-11-24 14:51 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-09 18:34:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Alexander Larsson 2002-04-05 19:13:44 UTC
With the recent glibc from 7.3 debuging threaded apps doesn't work.

I get:
[New Thread 2049 (LWP 3394)]
Can't attach LWP 3402: Operation not permitted
(gdb)

I get this with both nautilus and mozilla.

I tried backing down gdb, glibc and the kernel to 7.2-ent and 7.2-errata 
versions, and it the only thing that seems to break is when i use the 7.3 
glibc (I tried 2.2.5-30).

Comment 2 Jakub Jelinek 2002-04-11 16:12:25 UTC
Fixed in glibc-2.2.5-32.


Note You need to log in before you can comment on or make changes to this bug.